# Python 3.11 --  demo matplotlib with two subfigures
# Provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2024-04-30  initial release

import  matplotlib.pyplot   as  plt

class Img:

    def __init__(self):
        fig = plt.figure(layout='constrained', facecolor='lightskyblue')
        fig.suptitle('Figure')
        figL, figR = fig.subfigures(1, 2)

        figL.suptitle('Left subfigure')
        figL.set_facecolor('thistle')
        axsL = figL.subplots(2, 1, sharex=True)
        axsL[1].set_xlabel('x [m]')

        figR.suptitle('Right subfigure')
        figR.set_facecolor('paleturquoise')
        axsR = figR.subplots(1, 2, sharey=True)
        axsR[0].set_title('Axes_R 0')
        axsR[1].set_title('Axes_R 1')
        
        plt.show()


Img()
